package Grenouille::System::unix;

# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

use strict;
use Exporter qw();
use Grenouille::Vars qw($USER);
use vars qw(@ISA @EXPORT_OK);
@ISA = qw(Exporter);
@EXPORT_OK = qw(init_privileges swap_privileges);

sub swap_privileges() {
    ($<, $>) = ($>, $<);
    ($(, $)) = ($), $();
}

sub init_privileges() {
    my(undef, undef, $uid, $gid) = getpwnam($USER) or 
	die "$USER absent de /etc/password";

    $< = $uid;
    $( = $gid;

    die "Dsol, ce programme doit avoir les droits de root pour pouvoir envoyer des pings ICMP" if $>;
 
    swap_privileges();
}

1;
